Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03240 Crash/Freeze Critical (emulator) Always Jun 5, 2009, 12:05 Sep 6, 2009, 12:05
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To couriersud Resolution Fixed OS Windows 2000
Status [?] Resolved Driver polepos.cpp
Version 0.131u4 Fixed in Version 0.133u5 Build Normal
Summary 03240: topracera: Error Message: devcb_resolve_read8: unable to find input port 'IN0L'
Description devcb_resolve_read8: unable to find input port 'IN0L' (requested by Namco 51xx '
51xx')
Steps To Reproduce
Additional Information topracra renamed to topracera in 0.135u1
Flags
Regression Version 0.131u3
Affected Sets / Systems topracera
Attached Files
? file icon poleposfix.diff (665 bytes) Jun 5, 2009, 15:44
[Show Content]
? file icon poleposfix.CORRECT.diff (665 bytes) Jun 5, 2009, 15:46
[Show Content]
? file icon polepos.c.diff (426 bytes) Jun 5, 2009, 15:47
[Show Content]
? file icon polepos.c2.diff (1,289 bytes) Jun 5, 2009, 16:36
[Show Content]
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.04457
NekoEd
Senior Tester
Jun 5, 2009, 15:37
edited on: Jun 5, 2009, 16:39
Okay, HERE we go. I added in the missing IN0H that was needed to satisfy the 51XX, and fixed up the direct mapped port read handers. I've tested it, played through a game and it all works, but whether or not it's the correct fix, I'm not sure.
User avatar
No.04458
etabeta
Developer
Jun 5, 2009, 17:29
the problem is that it is not clear if the correct fix is to add IN0H or to change the device interface so that topracra does not look for a second input port but only for IN0. It depends on what was connected on the real board, otherwise it is only a hack and not a proper fix
User avatar
No.04462
NekoEd
Senior Tester
Jun 6, 2009, 02:26
Yeah, I figured as such, but if I'm right, then it's fixed already, otherwise, I tried. c:
User avatar
No.04472
NekoEd
Senior Tester
Jun 10, 2009, 00:45
This seems to have been fixed, the game works in 0.132
User avatar
No.04473
Tafoid
Administrator
Jun 10, 2009, 04:15
Odd.... still shows the error in 0.132 baseline on MAMEDEV. It could be your build has your patch? The other two Top Racer sets work.